/*
 *  Author: tican
 *
 *  Declarations for Syscriptor.
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>

void help(char *argument)
{
	printf("Usage: %s [OPTION]...\n", argument);
	printf("Shows information from your computer. Without OPTIONS displays this.\n");
	printf(" \t-a \tdisplays all the options\n");
	printf(" \t-b \tdisplays your SCSI harddisks, CDROMs and cards\n");
	printf(" \t-c \tdisplays info about your processor\n");
	printf(" \t-g \tdisplays info about your VGA controller(s)\n");
	printf(" \t-i \tdisplays your IDE harddisks and CDROMs\n");
	printf(" \t-m \tdisplays info about your RAM and Swap\n");
	printf(" \t-n \tdisplays network info (adapters, IPs etc.)\n");
	printf(" \t-o \tdisplays what kernel you're running\n");
	printf(" \t-p \tdisplays your partitions\n");
	printf(" \t-s \tdisplays info about your audio controller(s)\n");
	printf(" \t-u \tdisplays your uptime\n");
	printf(" \t-v \tdisplays the version of this program\n\n");
	printf("If something doesn't work, try it as root.\n");
	printf("Please send bug reports, comments or ideas to tican@syscriptor.no-ip.org\n");
	printf("or contact tican on IRC (#Syscriptor@Undernet).\n");
	exit(EXIT_FAILURE);
}
